<?php
// パーツ基本のテンプレート
$template = <<<END
<!-- block_coupon:クーポン-->
<section class="block_coupon">
<div class="coupon1-maru" style="color: {val item/color};background: white; border-color: {val item/color};">
<!--{def item/subtitle}--><div class="title-maru" style="background: {val item/color}; color: white;"><span>{val item/subtitle}</span></div><!--{/def}-->
<div class="text-maru">
<h4>{val item/title}</h4>
<p class="markdown-body">{rval item/text}</p>
<p class="date-maru" style="background: {val item/color}; color: white;">{val item/limit}</p>
</div>
<!--{def item/image}-->
<figure style="background: url(user_data/{val item/image_file}) no-repeat center center / cover;"></figure>
<!--{/def}-->
</div>
</section>
END;

$block_style = <<<END
/* このブロック用のスタイル宣言 */
END;

$block_script = <<<END
/* このブロック用のスクリプト */
END;

$block_coupon = array(					// ブロック定義
	"title" => "クーポン",			// ブロックの名称
	"name" => "block_coupon",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
//	"js_file" => "glb.js",			// 追加のjsファイル（parts内に入れる）
//	"css_file" => "glb.css",		// 追加のcssファイル（parts内に入れる）
//	"stylesheet" => $block_style,	// 追加スタイルシート
//	"javascript" => $block_script,	// 追加スクリプト
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_coupon",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
			"info" => "クーポンのタイトル",
		),
		"subtitle" => array(
			"title" => "見出し",
			"type" => "text",
			"info" => "例「COUPON」「割引券」など、文字数に注意",
		),
		"limit" => array(
			"title" => "有効期間など",
			"type" => "text",
		),
		"image" => array(
			"title" => "画像",
			"type" => "image",
		),
		"text" => array(
			"title" => "説明文",
			"type" => "textarea",
			"info" => "3行程度までで記入してください",
		),
		"color" => array(
			"title" => "色",
			"type" => "select",
			"list" => array(
				"deepskyblue" => "ブルー",
				"hotpink" => "ピンク",
				"red" => "赤",
				"black" => "黒",
			),
		),
	),
);

// パーツの登録
block_add($block_coupon);
